/*************************************************************************
Title:    Accelerometer
Author:   Levas
File:     
Software: AVR-GCC 3.3
Hardware: Levo ATMEGA16 testavimo modulis
**************************************************************************/
#define F_CPU 12000000UL
#include <stdlib.h>
#include <avr/io.h>
#include <avr/pgmspace.h>

#include "lcd.c"
#include <util\delay.h>

int main(void)
{
    char buffer[16];
	int x=0;
    
    /* initialize display, cursor off */
    lcd_init(LCD_DISP_ON);
	
	//Apie visus situs bitus geriau pasiskaityti ATMEGA16 datasheete.
	ADCSRA |=_BV(ADEN);
	ADCSRA |=_BV(ADPS0) | _BV(ADPS1) | _BV(ADPS2);

    for (;;) {                           /* loop forever */
			lcd_clrscr();   /* clear display home cursor */

			ADMUX  = 0;
			ADMUX |= _BV(REFS0);

			ADCSRA |=_BV(ADSC);
			loop_until_bit_is_set(ADCSRA, ADIF); //uzsiciklinam kol nebaigs darba ADC.
			x=ADCW;
			lcd_puts("X:");
			itoa( x, buffer, 10);
			lcd_puts(buffer);
			

			ADMUX  = 2;
			ADMUX |= _BV(REFS0);

			ADCSRA |=_BV(ADSC);
			loop_until_bit_is_set(ADCSRA, ADIF); //uzsiciklinam kol nebaigs darba ADC.
			x=ADCW;
			lcd_gotoxy(0,1); 
			lcd_puts("Y:");
			itoa( x, buffer, 10);
			lcd_puts(buffer);
		

				_delay_ms(20); // pauzike.
		
    }
}
